package com.rv.home.rv.module.ui.main.home.order.bean;

import com.base.utils.ui.datetime.selector.util.TextUtil;
import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;

public class OrderDetailBean extends BaseBean implements Serializable {

    private DataBeanX data;
    private boolean rel;

    public DataBeanX getData() {
        return data;
    }

    public void setData(DataBeanX data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class DataBeanX implements Serializable {
        private String cancelReason;//
        private String crtHost;//
        private String crtName;//
        private String crtUser;//
        private String detailId;//
        private String truenumber;//
        private String hasDiscount;//
        private String hasMemberRight;//
        private String hasPay;//
        private int id;//
        private String name;//
        private String no;//
        private double orderAmount;//
        private String outTradeNo;//
        private String payTime;//
        private String picture;//订单图片
        private String qrcodeStr;//
        private double realAmount;//
        private String refundStatus;//退款的状态 0--未退还；1--已退还所有钱；2--已退还部分押金（保留违章预备金）；3--已退还所有押金（扣除该扣除的）
        private String refundTime;//
        private String refundTradeNo;//
        private int status;//
        private String thirdType;//
        private int type;//
        private String userId;//
        private String username;//
        private String vehicalNumberPlat;//
        private String version;//
        private String coverPic;

        private OrderMemberDetail orderMemberDetail;//
        private OrderRentVehicleDetail orderRentVehicleDetail;//
        private OrderTourDetail orderTourDetail;

        public String getCoverPic() {
            return coverPic;
        }

        public void setCoverPic(String coverPic) {
            this.coverPic = coverPic;
        }

        public String getCancelReason() {
            return cancelReason;
        }

        public void setCancelReason(String cancelReason) {
            this.cancelReason = cancelReason;
        }

        public String getCrtHost() {
            return crtHost;
        }

        public void setCrtHost(String crtHost) {
            this.crtHost = crtHost;
        }

        public String getCrtName() {
            return crtName;
        }

        public void setCrtName(String crtName) {
            this.crtName = crtName;
        }

        public String getCrtUser() {
            return crtUser;
        }

        public void setCrtUser(String crtUser) {
            this.crtUser = crtUser;
        }

        public String getDetailId() {
            return detailId;
        }

        public void setDetailId(String detailId) {
            this.detailId = detailId;
        }

        public String getTruenumber() {
            return truenumber;
        }

        public void setTruenumber(String truenumber) {
            this.truenumber = truenumber;
        }

        public String getHasDiscount() {
            return hasDiscount;
        }

        public void setHasDiscount(String hasDiscount) {
            this.hasDiscount = hasDiscount;
        }

        public String getHasMemberRight() {
            return hasMemberRight;
        }

        public void setHasMemberRight(String hasMemberRight) {
            this.hasMemberRight = hasMemberRight;
        }

        public String getHasPay() {
            return hasPay;
        }

        public void setHasPay(String hasPay) {
            this.hasPay = hasPay;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getNo() {
            return no;
        }

        public void setNo(String no) {
            this.no = no;
        }

        public double getOrderAmount() {
            return orderAmount;
        }

        public void setOrderAmount(double orderAmount) {
            this.orderAmount = orderAmount;
        }

        public String getOutTradeNo() {
            return outTradeNo;
        }

        public void setOutTradeNo(String outTradeNo) {
            this.outTradeNo = outTradeNo;
        }

        public String getPayTime() {
            return payTime;
        }

        public void setPayTime(String payTime) {
            this.payTime = payTime;
        }

        public String getPicture() {
            return picture;
        }

        public void setPicture(String picture) {
            this.picture = picture;
        }

        public String getIcon() {
            String icon = "";
            if (!TextUtil.isEmpty(picture)) {
                String[] icons = picture.split(",");
                if (icons != null && icons.length > 0) {
                    icon = icons[0];
                } else {
                    icon = picture;
                }
            }

            return icon;
        }

        public String getQrcodeStr() {
            return qrcodeStr;
        }

        public void setQrcodeStr(String qrcodeStr) {
            this.qrcodeStr = qrcodeStr;
        }

        public double getRealAmount() {
            return realAmount;
        }

        public void setRealAmount(double realAmount) {
            this.realAmount = realAmount;
        }

        public String getRefundStatus() {
            return refundStatus;
        }

        public void setRefundStatus(String refundStatus) {
            this.refundStatus = refundStatus;
        }

        public String getRefundTime() {
            return refundTime;
        }

        public void setRefundTime(String refundTime) {
            this.refundTime = refundTime;
        }

        public String getRefundTradeNo() {
            return refundTradeNo;
        }

        public void setRefundTradeNo(String refundTradeNo) {
            this.refundTradeNo = refundTradeNo;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getThirdType() {
            return thirdType;
        }

        public void setThirdType(String thirdType) {
            this.thirdType = thirdType;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getVehicalNumberPlat() {
            return vehicalNumberPlat;
        }

        public void setVehicalNumberPlat(String vehicalNumberPlat) {
            this.vehicalNumberPlat = vehicalNumberPlat;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public OrderMemberDetail getOrderMemberDetail() {
            return orderMemberDetail;
        }

        public void setOrderMemberDetail(OrderMemberDetail orderMemberDetail) {
            this.orderMemberDetail = orderMemberDetail;
        }

        public OrderRentVehicleDetail getOrderRentVehicleDetail() {
            return orderRentVehicleDetail;
        }

        public void setOrderRentVehicleDetail(OrderRentVehicleDetail orderRentVehicleDetail) {
            this.orderRentVehicleDetail = orderRentVehicleDetail;
        }

        public OrderTourDetail getOrderTourDetail() {
            return orderTourDetail;
        }

        public void setOrderTourDetail(OrderTourDetail orderTourDetail) {
            this.orderTourDetail = orderTourDetail;
        }

        public static class OrderMemberDetail implements Serializable {
            private String id;//
            private String memberLevel;//
            private String memberLevelId;//
            private String name;//
            private String orderId;//
            private double rebate;//
            private String rentFreeNum;//

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getMemberLevel() {
                return memberLevel;
            }

            public void setMemberLevel(String memberLevel) {
                this.memberLevel = memberLevel;
            }

            public String getMemberLevelId() {
                return memberLevelId;
            }

            public void setMemberLevelId(String memberLevelId) {
                this.memberLevelId = memberLevelId;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public double getRebate() {
                return rebate;
            }

            public void setRebate(double rebate) {
                this.rebate = rebate;
            }

            public String getRentFreeNum() {
                return rentFreeNum;
            }

            public void setRentFreeNum(String rentFreeNum) {
                this.rentFreeNum = rentFreeNum;
            }
        }

        public static class OrderRentVehicleDetail implements Serializable {
            private String bookRecordId;// 预定记录id
            private String collectName;//  收车人名称
            private String collectPhone;//  收车人手机号
            private String collectTime;//  收车时间
            private String collectUser;// 收车人id
            private String costDetail;// 费用明细
            private String dayNum;//  天数
            private String deliveryName;//  交付人名称
            private String deliveryPhone;// 交付人手机号
            private String deliveryTime;//  交车时间
            private String deliveryUser;//  交付人id
            private String deposit;//  押金
            private String driverType;//  司机类型 1–公司司机；2–自己司机
            private String endAddr;// 还车地点
            private String endCity;// 还车城市编号
            private String endCityName;//  还车城市名称
            private String endCompanyId;// 结束公司Id
            private String endTime;//  结束时间
            private String freeDays;// 优惠天数
            private String id;//  主键
            private String modelId;// 车型id
            private String myDriverIds;//  自己司机ids
            private String name;// 名称
            private String orderId;// 基础订单id
            private String rebate;//  折扣 80 即 8折
            private String returnPayResidue;// 剩余需要退还的钱（押金）
            private String score;// 评分
            private String startAddr;// 取车地点
            private String startCity;// 取车城市编号
            private String startCityName;//  取车城市名称
            private String startCompanyId;// 出发公司Id
            private String startTime;// 开始时间
            private String startZoneId;// 出发公司区域id
            private String stime;//
            private String suserid;//
            private String vehicleId;//

            public String getBookRecordId() {
                return bookRecordId;
            }

            public void setBookRecordId(String bookRecordId) {
                this.bookRecordId = bookRecordId;
            }

            public String getCollectName() {
                return collectName;
            }

            public void setCollectName(String collectName) {
                this.collectName = collectName;
            }

            public String getCollectPhone() {
                return collectPhone;
            }

            public void setCollectPhone(String collectPhone) {
                this.collectPhone = collectPhone;
            }

            public String getCollectTime() {
                return collectTime;
            }

            public void setCollectTime(String collectTime) {
                this.collectTime = collectTime;
            }

            public String getCollectUser() {
                return collectUser;
            }

            public void setCollectUser(String collectUser) {
                this.collectUser = collectUser;
            }

            public String getCostDetail() {
                return costDetail;
            }

            public void setCostDetail(String costDetail) {
                this.costDetail = costDetail;
            }

            public String getDayNum() {
                return dayNum;
            }

            public void setDayNum(String dayNum) {
                this.dayNum = dayNum;
            }

            public String getDeliveryName() {
                return deliveryName;
            }

            public void setDeliveryName(String deliveryName) {
                this.deliveryName = deliveryName;
            }

            public String getDeliveryPhone() {
                return deliveryPhone;
            }

            public void setDeliveryPhone(String deliveryPhone) {
                this.deliveryPhone = deliveryPhone;
            }

            public String getDeliveryTime() {
                return deliveryTime;
            }

            public void setDeliveryTime(String deliveryTime) {
                this.deliveryTime = deliveryTime;
            }

            public String getDeliveryUser() {
                return deliveryUser;
            }

            public void setDeliveryUser(String deliveryUser) {
                this.deliveryUser = deliveryUser;
            }

            public String getDeposit() {
                return deposit;
            }

            public void setDeposit(String deposit) {
                this.deposit = deposit;
            }

            public String getDriverType() {
                return driverType;
            }

            public void setDriverType(String driverType) {
                this.driverType = driverType;
            }

            public String getEndAddr() {
                return endAddr;
            }

            public void setEndAddr(String endAddr) {
                this.endAddr = endAddr;
            }

            public String getEndCity() {
                return endCity;
            }

            public void setEndCity(String endCity) {
                this.endCity = endCity;
            }

            public String getEndCityName() {
                return endCityName;
            }

            public void setEndCityName(String endCityName) {
                this.endCityName = endCityName;
            }

            public String getEndCompanyId() {
                return endCompanyId;
            }

            public void setEndCompanyId(String endCompanyId) {
                this.endCompanyId = endCompanyId;
            }

            public String getEndTime() {
                return endTime;
            }

            public void setEndTime(String endTime) {
                this.endTime = endTime;
            }

            public String getFreeDays() {
                return freeDays;
            }

            public void setFreeDays(String freeDays) {
                this.freeDays = freeDays;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getModelId() {
                return modelId;
            }

            public void setModelId(String modelId) {
                this.modelId = modelId;
            }

            public String getMyDriverIds() {
                return myDriverIds;
            }

            public void setMyDriverIds(String myDriverIds) {
                this.myDriverIds = myDriverIds;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getRebate() {
                return rebate;
            }

            public void setRebate(String rebate) {
                this.rebate = rebate;
            }

            public String getReturnPayResidue() {
                return returnPayResidue;
            }

            public void setReturnPayResidue(String returnPayResidue) {
                this.returnPayResidue = returnPayResidue;
            }

            public String getScore() {
                return score;
            }

            public void setScore(String score) {
                this.score = score;
            }

            public String getStartAddr() {
                return startAddr;
            }

            public void setStartAddr(String startAddr) {
                this.startAddr = startAddr;
            }

            public String getStartCity() {
                return startCity;
            }

            public void setStartCity(String startCity) {
                this.startCity = startCity;
            }

            public String getStartCityName() {
                return startCityName;
            }

            public void setStartCityName(String startCityName) {
                this.startCityName = startCityName;
            }

            public String getStartCompanyId() {
                return startCompanyId;
            }

            public void setStartCompanyId(String startCompanyId) {
                this.startCompanyId = startCompanyId;
            }

            public String getStartTime() {
                return startTime;
            }

            public void setStartTime(String startTime) {
                this.startTime = startTime;
            }

            public String getStartZoneId() {
                return startZoneId;
            }

            public void setStartZoneId(String startZoneId) {
                this.startZoneId = startZoneId;
            }

            public String getStime() {
                return stime;
            }

            public void setStime(String stime) {
                this.stime = stime;
            }

            public String getSuserid() {
                return suserid;
            }

            public void setSuserid(String suserid) {
                this.suserid = suserid;
            }

            public String getVehicleId() {
                return vehicleId;
            }

            public void setVehicleId(String vehicleId) {
                this.vehicleId = vehicleId;
            }
        }

        public static class OrderTourDetail implements Serializable {
            private String adultNum;//
            private String childNum;//
            private String contactEmail;//
            private String contactMan;//
            private String contactPhone;//
            private String costDetail;//
            private String dayNum;//
            private String endAddr;//
            private String endTime;//
            private String goodId;//
            private String hasInsure;//
            private String id;//
            private String name;//
            private String orderId;//
            private String siteId;//
            private String speIds;//
            private String spePriceId;//
            private String startAddr;//
            private String startCity;//
            private String startCityName;//
            private String startCompanyId;//
            private String startTime;//
            private String startZoneId;//
            private String totalNumber;//
            private String tourUserIds;//
            private String verificationId;//
            private String verificationName;//
            private String verificationPhone;//
            private String verificationTime;//
            private String verificationUser;//

            public String getAdultNum() {
                return adultNum;
            }

            public void setAdultNum(String adultNum) {
                this.adultNum = adultNum;
            }

            public String getChildNum() {
                return childNum;
            }

            public void setChildNum(String childNum) {
                this.childNum = childNum;
            }

            public String getContactEmail() {
                return contactEmail;
            }

            public void setContactEmail(String contactEmail) {
                this.contactEmail = contactEmail;
            }

            public String getContactMan() {
                return contactMan;
            }

            public void setContactMan(String contactMan) {
                this.contactMan = contactMan;
            }

            public String getContactPhone() {
                return contactPhone;
            }

            public void setContactPhone(String contactPhone) {
                this.contactPhone = contactPhone;
            }

            public String getCostDetail() {
                return costDetail;
            }

            public void setCostDetail(String costDetail) {
                this.costDetail = costDetail;
            }

            public String getDayNum() {
                return dayNum;
            }

            public void setDayNum(String dayNum) {
                this.dayNum = dayNum;
            }

            public String getEndAddr() {
                return endAddr;
            }

            public void setEndAddr(String endAddr) {
                this.endAddr = endAddr;
            }

            public String getEndTime() {
                return endTime;
            }

            public void setEndTime(String endTime) {
                this.endTime = endTime;
            }

            public String getGoodId() {
                return goodId;
            }

            public void setGoodId(String goodId) {
                this.goodId = goodId;
            }

            public String getHasInsure() {
                return hasInsure;
            }

            public void setHasInsure(String hasInsure) {
                this.hasInsure = hasInsure;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getSiteId() {
                return siteId;
            }

            public void setSiteId(String siteId) {
                this.siteId = siteId;
            }

            public String getSpeIds() {
                return speIds;
            }

            public void setSpeIds(String speIds) {
                this.speIds = speIds;
            }

            public String getSpePriceId() {
                return spePriceId;
            }

            public void setSpePriceId(String spePriceId) {
                this.spePriceId = spePriceId;
            }

            public String getStartAddr() {
                return startAddr;
            }

            public void setStartAddr(String startAddr) {
                this.startAddr = startAddr;
            }

            public String getStartCity() {
                return startCity;
            }

            public void setStartCity(String startCity) {
                this.startCity = startCity;
            }

            public String getStartCityName() {
                return startCityName;
            }

            public void setStartCityName(String startCityName) {
                this.startCityName = startCityName;
            }

            public String getStartCompanyId() {
                return startCompanyId;
            }

            public void setStartCompanyId(String startCompanyId) {
                this.startCompanyId = startCompanyId;
            }

            public String getStartTime() {
                return startTime;
            }

            public void setStartTime(String startTime) {
                this.startTime = startTime;
            }

            public String getStartZoneId() {
                return startZoneId;
            }

            public void setStartZoneId(String startZoneId) {
                this.startZoneId = startZoneId;
            }

            public String getTotalNumber() {
                return totalNumber;
            }

            public void setTotalNumber(String totalNumber) {
                this.totalNumber = totalNumber;
            }

            public String getTourUserIds() {
                return tourUserIds;
            }

            public void setTourUserIds(String tourUserIds) {
                this.tourUserIds = tourUserIds;
            }

            public String getVerificationId() {
                return verificationId;
            }

            public void setVerificationId(String verificationId) {
                this.verificationId = verificationId;
            }

            public String getVerificationName() {
                return verificationName;
            }

            public void setVerificationName(String verificationName) {
                this.verificationName = verificationName;
            }

            public String getVerificationPhone() {
                return verificationPhone;
            }

            public void setVerificationPhone(String verificationPhone) {
                this.verificationPhone = verificationPhone;
            }

            public String getVerificationTime() {
                return verificationTime;
            }

            public void setVerificationTime(String verificationTime) {
                this.verificationTime = verificationTime;
            }

            public String getVerificationUser() {
                return verificationUser;
            }

            public void setVerificationUser(String verificationUser) {
                this.verificationUser = verificationUser;
            }
        }
    }
}
